summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Fellype do Nascimento <fellype (at) gmail (dot) com>2022-04-21 22:24:31 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-24 01:47:09 +0700
commit55f34367c3e69ff01ef6a9a8e97c7f319f5194de (patch)
treea30a10b865ca97f589f71d03128b4db907f3c2f2 /academic
parent6d7ee79829bd15e54328c6661eba6440bc7c9a50 (diff)
downloadslackbuilds-55f34367c3e69ff01ef6a9a8e97c7f319f5194de.tar.gz
slackbuilds-55f34367c3e69ff01ef6a9a8e97c7f319f5194de.tar.xz
academic/getfem: Added (finite element modeling software)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/getfem/README22
-rw-r--r--academic/getfem/getfem.SlackBuild114
-rw-r--r--academic/getfem/getfem.info10
-rw-r--r--academic/getfem/slack-desc19
4 files changed, 165 insertions, 0 deletions
diff --git a/academic/getfem/README b/academic/getfem/README
new file mode 100644
index 0000000000..41f7a614a6
--- /dev/null
+++ b/academic/getfem/README
@@ -0,0 +1,22 @@
+GetFEM is an open source library based on collaborative development.
+It aims to offer the most flexible framework for solving potentially
+coupled systems of linear and nonlinear partial differential equations
+with the finite element method. GetFEM is interfaced with some script
+languages (Python, Octave, Scilab and Matlab) so that almost all of
+the functionalities can be used just writing scripts.
+
+If you have matlab installed in your machine, you can also add support
+to it by adding '--enable-matlab' to ./configure command
+
+Take a look at http://getfem.org/install/install_linux.html if you
+build GetFEM with support to octave, scilab or matlab in order to make
+those tools work properly.
+
+Optional dependencies are (if you add '--enable-FEATURE', e.g.:
+--enable-octave, to ./configure command:
+
+- octave
+- scilab
+- qhull
+- mumps
+- metis
diff --git a/academic/getfem/getfem.SlackBuild b/academic/getfem/getfem.SlackBuild
new file mode 100644
index 0000000000..41bb991697
--- /dev/null
+++ b/academic/getfem/getfem.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/bash
+
+# Slackware build script for GetFEM
+#
+# Copyright 2022, Fellype do Nascimento, Campinas - Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=getfem
+VERSION=${VERSION:-5.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --docdir=/usr/share/doc \
+ --with-pic \
+ --enable-python \
+ --enable-shared \
+ --enable-static=no \
+ --mandir=/usr/man \
+ --libdir=/usr/lib$LIBDIRSUFFIX
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# move getfem_toolbox dir to /usr/share/getfem
+mkdir -p $PKG/usr/share/$PRGNAM
+mv $PKG/usr/getfem_toolbox $PKG/usr/share/$PRGNAM/
+
+# remove .la files
+rm -f $PKG/usr/lib*/*.la
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/getfem/getfem.info b/academic/getfem/getfem.info
new file mode 100644
index 0000000000..dbde5c03e1
--- /dev/null
+++ b/academic/getfem/getfem.info
@@ -0,0 +1,10 @@
+PRGNAM="getfem"
+VERSION="5.4.1"
+HOMEPAGE="https://getfem.org/"
+DOWNLOAD="http://download-mirror.savannah.gnu.org/releases/getfem/stable/getfem-5.4.1.tar.gz"
+MD5SUM="61988ac13d8a88fceb928b050c988220"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="scipy3"
+MAINTAINER="Fellype do Nascimento"
+EMAIL="fellype (at) gmail (dot) com"
diff --git a/academic/getfem/slack-desc b/academic/getfem/slack-desc
new file mode 100644
index 0000000000..d35799c1a2
--- /dev/null
+++ b/academic/getfem/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+getfem: GetFEM (finite element modeling software)
+getfem:
+getfem: GetFEM is an open source library based on collaborative development.
+getfem:
+getfem: It aims to offer the most flexible framework for solving potentially
+getfem: coupled systems of linear and nonlinear partial differential
+getfem: equations with the finite element method.
+getfem:
+getfem: For more information visit: http://getfem.org/
+getfem:
+getfem: